[Gtk-osx-users] Startup error on MacOSX 10.6.5 due to libxml2.2


I am distributing GCompris packaged using gtk-osx. I have been reported
a problem on users of MacOSX 10.6.5. GCompris fails to start and report
this error:

$ ./Desktop/GCompris.app/Contents/MacOS/GCompris
dyld: Library not loaded: /usr/lib/libxml2.2.dylib
from: /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
  Reason: Incompatible library version: AppKit requires version 10.0.0
or later, but libxml2.2.dylib provides version 9.0.0
Trace/BPT trap

The mentioned GCompris here is based on the shell script 'launcher.sh'.
I have been reported that running the gcompris-bin directly instead of
the shell script run fines.

I tried to upgrade the script to the latest version of ige-mac-bundler
but it did not fixed the problem.

Any help appriciated,


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]